pipeline {
 agent any
tools {nodejs "nodejs"}

stages {
 stage('git') {
  steps {
      echo 'checkout code from gitlab'
git credentialsId: '3', url: 'https://gitlab.com/kandra.vignesh4/fery-restaurant-node.js-backend.git'
      }
    }
   stage('npm install package'){
    steps{
      echo "installing the npm package "
          
                 
            bat '''        
            npm install            
            '''
            echo "installing node env "

               
        bat '''
            npm install win-node-env
            '''
              bat '''  
             npm install --global pm2@latest
            '''

 /* bat '''  
            // npm run dev&
            '''

            echo "Going to prod Environment !!!"
            */

     
        
         }
       }
  


  
  
    stage ('Deploy to dev Environment') {
      steps{
        echo "deploying to dev environment"
        
       

          /*
            bat'''
               pm2 restart all
            '''
      */
        echo "DONE!"
        
    
              
        
        }
      }  
  }
}
